import * as Internal from "./w3-man";
import { IpfsConfig } from "./common/IpfsConfig";
import { PluginFactory } from "@web3api/core-js";
export { manifest, schema } from "./w3-man";
export interface IpfsPluginConfigs extends IpfsConfig, Record<string, unknown> {
}
export declare class IpfsPlugin extends Internal.IpfsPlugin {
    constructor(config: IpfsPluginConfigs);
}
export declare const ipfsPlugin: PluginFactory<IpfsPluginConfigs>;
export declare const plugin: PluginFactory<IpfsPluginConfigs>;
